Bug 1516965 - Unclear error message when forward IP does not reverse resolve
Summary: Unclear error message when forward IP does not reverse resolve
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Stephen Benjamin
QA Contact: Sanket Jagtap
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-23 17:01 UTC by Sanket Jagtap
Modified: 2019-09-26 17:28 UTC (History)
6 users (show)

Fixed In Version: katello-installer-base-3.4.5.17-1,katello-installer-base-3.4.5.21-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 22173 0 Normal Closed Unclear error message when forward IP does not reverse resolve 2021-01-21 17:44:53 UTC

Description Sanket Jagtap 2017-11-23 17:01:36 UTC
Description of problem:


Version-Release number of selected component (if applicable):
Build: Satellite 6.3.0 snap25 

How reproducible:
Always 

Steps to Reproduce:
[root@bkr-hv01-guest04 ~]# satellite-installer --scenario capsule -v                      --foreman-proxy-content-parent-fqdn           "satellite.com"                      --foreman-proxy-register-in-foreman           "true"                      --foreman-proxy-foreman-base-url              "https://satellite.com"                      --foreman-proxy-trusted-hosts                 "satellite.com"                      --foreman-proxy-trusted-hosts                 "capsule.com"                      --foreman-proxy-oauth-consumer-key            "pPBcMRLUMEffq4QQNH9uq83H5iwf32QY"                      --foreman-proxy-oauth-consumer-secret         "aH29zBcmPAWgThPjRx45UoSnTrWhsMyL"                      --foreman-proxy-content-pulp-oauth-secret     "87jJdEDZ9eXm4Y32hXN6SBm9dyJffJZi"                      --foreman-proxy-content-certs-tar             "/root/capsule.com-certs.tar"                      --puppet-server-foreman-url                   "https://satellite.com"
/usr/share/ruby/resolv.rb:128:in `getname': no name for 2620:52:0:1329:216:XXXX:XXXX:1365 (Resolv::ResolvError)
	from /usr/share/ruby/resolv.rb:64:in `getname'
	from /usr/share/katello-installer-base/checks/dns.rb:27:in `block in <main>'
	from /usr/share/katello-installer-base/checks/dns.rb:21:in `each'
	from /usr/share/katello-installer-base/checks/dns.rb:21:in `<main>'
Your system does not meet configuration criteria
[ INFO 2017-11-23 11:36:50 verbose] Executing hooks in group pre_migrations
[ INFO 2017-11-23 11:36:50 verbose] All hooks in group pre_migrations finished
[ INFO 2017-11-23 11:36:50 verbose] Executing hooks in group boot
[ INFO 2017-11-23 11:36:50 verbose] All hooks in group boot finished
[ INFO 2017-11-23 11:36:50 verbose] Executing hooks in group init
[ INFO 2017-11-23 11:36:50 verbose] All hooks in group init finished
[ INFO 2017-11-23 11:36:50 verbose] Loading default values from puppet modules...
[ INFO 2017-11-23 11:36:50 verbose] ... finished
[ INFO 2017-11-23 11:36:50 verbose] Executing hooks in group pre_values
[ INFO 2017-11-23 11:36:50 verbose] All hooks in group pre_values finished
[ INFO 2017-11-23 11:36:50 verbose] Running installer with args [["--scenario", "capsule", "-v", "--foreman-proxy-content-parent-fqdn", "satellite.com", "--foreman-proxy-register-in-foreman", "true", "--foreman-proxy-foreman-base-url", "https://satellite.com", "--foreman-proxy-trusted-hosts", "satellite.com", "--foreman-proxy-trusted-hosts", "capsule.com", "--foreman-proxy-oauth-consumer-key", "pPBcMRLUMEffq4QQNH9uq83H5iwf32QY", "--foreman-proxy-oauth-consumer-secret", "aH29zBcmPAWgThPjRx45UoSnTrWhsMyL", "--foreman-proxy-content-pulp-oauth-secret", "87jJdEDZ9eXm4Y32hXN6SBm9dyJffJZi", "--foreman-proxy-content-certs-tar", "/root/capsule.com-certs.tar", "--puppet-server-foreman-url", "https://satellite.com"]]
[ INFO 2017-11-23 11:36:50 verbose] Installer finished in 0.771911764 seconds

[root@bkr-hv01-guest04 ~]# hostname -f
capsule.com

[root@bkr-hv01-guest04 ~]# hostname
capsule.com


[root@bkr-hv01-guest04 ~]# ip a
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN qlen 1
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: eth0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP qlen 1000
    link/ether 00:16:3e:3e:13:65 brd ff:ff:ff:ff:ff:ff
    inet 10.X.X.X/24 brd 10.19.41.255 scope global dynamic eth0
       valid_lft 61987sec preferred_lft 61987sec
    inet6 2620:52:0:XXXX:216:3eff:fe3e:1365/64 scope global noprefixroute dynamic 
       valid_lft 2591860sec preferred_lft 604660sec
    inet6 fe80::216:XXXX:fe3e:1365/64 scope link 
       valid_lft forever preferred_lft forever

Actual results:
Capsule is not installed

Expected results:
Capsule should be installed as it has a IPv4

Additional info:

Comment 3 Sanket Jagtap 2017-11-23 19:08:21 UTC
Additional info: I am able to proceed with installation , once IPv6 is disabled

Comment 5 Sanket Jagtap 2017-11-29 16:09:36 UTC
I tried on Satellite 6.2, it was successfully installed . This is a regression from 6.2

[root@dell-pe-fm120-2d ~]# ip a
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN qlen 1
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: em1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP qlen 1000
    link/ether 4c:76:25:d5:79:9e brd ff:ff:ff:ff:ff:ff
    inet xx.xx.xx.134/21 brd 10.1x.xx.255 scope global dynamic em1
       valid_lft 82909sec preferred_lft 82909sec
    inet6 26x0:52:0:XXX:4ex6:25ff:fed5:799e/64 scope global noprefixroute dynamic 
       valid_lft 2591981sec preferred_lft 604781sec
    inet6 fe80::4e76:2xxf:fexx5:xxx9e/64 scope link 
       valid_lft forever preferred_lft forever
3: em2: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP qlen 1000
    link/ether 4c:76:25:d5:79:9f brd ff:ff:ff:ff:ff:ff


[root@dell-pe-fm120-2d ~]# satellite-installer --scenario capsule\
>                     --capsule-parent-fqdn                         "sat-host"\
>                     --foreman-proxy-register-in-foreman           "true"\
>                     --foreman-proxy-foreman-base-url              "https://sat-host"\
>                     --foreman-proxy-trusted-hosts                 "sat-host"\
>                     --foreman-proxy-trusted-hosts                 "cap-host"\
>                     --foreman-proxy-oauth-consumer-key            "vpjf33QUwKCRFCx7KWW7GYaHEvX4cXw2"\
>                     --foreman-proxy-oauth-consumer-secret         "4RThEHDJGPkGRvAMqdMB7jYngo5iP6TQ"\
>                     --capsule-pulp-oauth-secret                   "WnxEd7N2x8gnP2HQtxyjJXCoQ2isnQuQ"\
>                     --capsule-certs-tar                           "/root/cap-host-certs.tar"

Installing             Done                                               [100%] [...............................................................................................................................]
  Success!
  The full log is at /var/log/foreman-installer/capsule.log

Comment 6 Jitendra Yejare 2017-12-27 10:12:03 UTC
Same has been observed while upgrading Satellite from 6.2 to 6.3 having ipv4 in place.

Comment 7 Stephen Benjamin 2018-01-08 14:44:08 UTC
Created redmine issue http://projects.theforeman.org/issues/22173 from this bug

Comment 8 Stephen Benjamin 2018-01-08 14:49:31 UTC
From what I see, this isn't a bug - although the error message isn't great.

The beaker host you were using had an IPv6 address as one of the forward records. However, that IPv6 address did not reverse resolve. There's an error handling problem here in that we didn't tell you that clearly, we just threw an exception.

I'm able to get a clean install with a host using IPv6 as long as (a) the IPv6 address is not included as an A record for the host name, or (b) reverse resolution works for the IPv6 address.

Comment 9 Satellite Program 2018-01-09 15:03:42 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/22173 has been resolved.

Comment 14 Sanket Jagtap 2018-02-02 15:37:21 UTC
Build: Satellite 6.3.0 snap34

[root@dell-per415-04 ~]# ip a
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN qlen 1
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: em1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc mq state UP qlen 1000
    link/ether e8:DD:8f:b2:a7:d1 brd ff:ff:ff:ff:ff:ff
    inet 10.DD.DD.DD/24 brd 10.19.41.255 scope global dynamic em1
       valid_lft 70319sec preferred_lft 70319sec
    inet6 DDDD:52:0:1329:ea9a:DDDD:feb2:DDDD/64 scope global noprefixroute dynamic 
       valid_lft 2591856sec preferred_lft 604656sec
    inet6 fe80::DDD:8fff:DDD:DDD/64 scope link 
       valid_lft forever preferred_lft forever
3: em2: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc mq state DOWN qlen 1000

satellite-installer --scenario capsule\
>                       --foreman-proxy-content-parent-fqdn           "sat-host"\
>                       --foreman-proxy-register-in-foreman           "true"\
>                       --foreman-proxy-foreman-base-url              "https://sat-host"\
>                       --foreman-proxy-trusted-hosts                 "sat-host"\
>                       --foreman-proxy-trusted-hosts                 "cap-host"\
>                       --foreman-proxy-oauth-consumer-key            "SizwivCfc6nDRsNQiGAoSVg2iw4qFugx"\
>                       --foreman-proxy-oauth-consumer-secret         "nHu7GVDrF38WWcmitKo4ogwYG76kipzM"\
>                       --foreman-proxy-content-pulp-oauth-secret     "mnuNvtyApddpvG7Vpra2Cqv75kFRfzx4"\
>                       --foreman-proxy-content-certs-tar             "/root/cap-host-certs.tar"\
>                       --puppet-server-foreman-url                   "https://sat-host"
Installing             Done                                               [100%] [................................................................................................................................]
  Success!
  * Capsule is running at https://cap-host:9090
  The full log is at /var/log/foreman-installer/capsule.log

Comment 15 Satellite Program 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.